Page MenuHomePhabricator

New Botpassword requires whenever someone else requests a new password for main account
Closed, ResolvedPublic

Description

I do not know if this is a bug or a feature: Whenever someone else requests a new password for my main account (User:Raymond) the Botpassword used for uploads to Wikimedia Commons with the MediaWiki LightRoom plugin invalidates and I have to reset the botpassword password.

This happened last time today: 2018-07-17 14:21:xx UTC from the English Wikipedia.

Details

Event Timeline

Raymond created this task.Jul 17 2018, 2:52 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 17 2018, 2:52 PM
Anomie added a subscriber: Anomie.Jul 17 2018, 8:10 PM

It's intended that changing your authentication credentials generally will invalidate all bot passwords. But there should be an exception for the temporary emailed password.

Change 446474 had a related patch set uploaded (by Anomie; owner: Anomie):
[mediawiki/core@master] AuthManager: Don't invalidate BotPasswords if a password reset email is sent

https://gerrit.wikimedia.org/r/446474

Change 446474 merged by jenkins-bot:
[mediawiki/core@master] AuthManager: Don't invalidate BotPasswords if a password reset email is sent

https://gerrit.wikimedia.org/r/446474

Anomie closed this task as Resolved.Jul 18 2018, 4:31 PM
Anomie claimed this task.

The fix should be deployed to Wikimedia wikis with 1.32.0-wmf.14 or later.